Base URL: https://demo-api.incodesmile.com — Incode demo environment
Inserts face authentications in batch.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
data |
array[QRScanAttempt] | ||
data.id |
string | Identity (customer) id. | |
data.photo |
string | Base64 of photo. | |
data.confidence |
number (float) | Match confidence. | |
data.timestamp |
integer (int64) | Timestamp | |
data.sourceId |
string | Source identifier of batch of authentications | |
data.deviceId |
string | User device id | |
data.reasonCodes |
array[string] | Reason codes | |
data.blocked |
boolean | Flag indicating if user is on a blocklist | |
data.blocklistConfidence |
number (float) | Confidence score related to block list |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
success |
boolean | Flag indicating request passed successfully. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |